<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <form id="form">
        Имя: <input id="name" type="text" name="name"><br>
        Фамилия: <input id="fname" type="text" name="fname"><br>
        <input type="submit" value="Отправка">
    </form>
    <script>
        $('#form').submit(function(){
            if($('#name').val() == '' || $('#fname').val() == ''){
                alert('Введите в поля имя и фамилию ');
                return false;
            }
        })
    </script>
</body>
</html>